diff --git a/pidgin/gtkblist.c b/pidgin/gtkblist.c
--- a/pidgin/gtkblist.c
+++ b/pidgin/gtkblist.c
@@ -156,7 +156,6 @@
 
 static void sort_method_alphabetical(PurpleBlistNode *node, PurpleBuddyList *blist, GtkTreeIter groupiter, GtkTreeIter *cur, GtkTreeIter *iter);
 static void sort_method_status(PurpleBlistNode *node, PurpleBuddyList *blist, GtkTreeIter groupiter, GtkTreeIter *cur, GtkTreeIter *iter);
-static void sort_method_log_activity(PurpleBlistNode *node, PurpleBuddyList *blist, GtkTreeIter groupiter, GtkTreeIter *cur, GtkTreeIter *iter);
 
 static PidginBuddyList *gtkblist = NULL;
 
@@ -3846,7 +3845,6 @@
 	pidgin_blist_sort_method_reg("none", _("Manually"), sort_method_none);
 	pidgin_blist_sort_method_reg("alphabetical", _("Alphabetically"), sort_method_alphabetical);
 	pidgin_blist_sort_method_reg("status", _("By status"), sort_method_status);
-	pidgin_blist_sort_method_reg("log_size", _("By recent log activity"), sort_method_log_activity);
 
 	id = purple_prefs_get_string(PIDGIN_PREFS_ROOT "/blist/sort_type");
 	if (id == NULL) {
@@ -6506,93 +6504,6 @@
 	}
 }
 
-static void sort_method_log_activity(PurpleBlistNode *node, PurpleBuddyList *blist, GtkTreeIter groupiter, GtkTreeIter *cur, GtkTreeIter *iter)
-{
-	GtkTreeIter more_z;
-
-	int activity_score = 0, this_log_activity_score = 0;
-	const char *buddy_name, *this_buddy_name;
-
-	if(cur && (gtk_tree_model_iter_n_children(GTK_TREE_MODEL(gtkblist->treemodel), &groupiter) == 1)) {
-		*iter = *cur;
-		return;
-	}
-
-	if(PURPLE_IS_CONTACT(node)) {
-		PurpleBlistNode *n;
-		PurpleBuddy *buddy;
-		for (n = node->child; n; n = n->next) {
-			buddy = (PurpleBuddy*)n;
-			activity_score += purple_log_get_activity_score(PURPLE_LOG_IM, purple_buddy_get_name(buddy), purple_buddy_get_account(buddy));
-		}
-		buddy_name = purple_contact_get_alias((PurpleContact*)node);
-	} else if(PURPLE_IS_CHAT(node)) {
-		/* we don't have a reliable way of getting the log filename
-		 * from the chat info in the blist, yet */
-		if (cur != NULL) {
-			*iter = *cur;
-			return;
-		}
-
-		gtk_tree_store_append(gtkblist->treemodel, iter, &groupiter);
-		return;
-	} else {
-		sort_method_none(node, blist, groupiter, cur, iter);
-		return;
-	}
-
-
-	if (!gtk_tree_model_iter_children(GTK_TREE_MODEL(gtkblist->treemodel), &more_z, &groupiter)) {
-		gtk_tree_store_insert(gtkblist->treemodel, iter, &groupiter, 0);
-		return;
-	}
-
-	do {
-		PurpleBlistNode *n;
-		PurpleBlistNode *n2;
-		PurpleBuddy *buddy;
-		int cmp;
-
-		gtk_tree_model_get(GTK_TREE_MODEL(gtkblist->treemodel), &more_z, NODE_COLUMN, &n, -1);
-		this_log_activity_score = 0;
-
-		if(PURPLE_IS_CONTACT(n)) {
-			for (n2 = n->child; n2; n2 = n2->next) {
-				buddy = (PurpleBuddy*)n2;
-				this_log_activity_score += purple_log_get_activity_score(PURPLE_LOG_IM, purple_buddy_get_name(buddy), purple_buddy_get_account(buddy));
-			}
-			this_buddy_name = purple_contact_get_alias((PurpleContact*)n);
-		} else {
-			this_buddy_name = NULL;
-		}
-
-		cmp = purple_utf8_strcasecmp(buddy_name, this_buddy_name);
-
-		if (!PURPLE_IS_CONTACT(n) || activity_score > this_log_activity_score ||
-				((activity_score == this_log_activity_score) &&
-				 (cmp < 0 || (cmp == 0 && node < n)))) {
-			if (cur != NULL) {
-				gtk_tree_store_move_before(gtkblist->treemodel, cur, &more_z);
-				*iter = *cur;
-				return;
-			} else {
-				gtk_tree_store_insert_before(gtkblist->treemodel, iter,
-						&groupiter, &more_z);
-				return;
-			}
-		}
-	} while (gtk_tree_model_iter_next (GTK_TREE_MODEL(gtkblist->treemodel), &more_z));
-
-	if (cur != NULL) {
-		gtk_tree_store_move_before(gtkblist->treemodel, cur, NULL);
-		*iter = *cur;
-		return;
-	} else {
-		gtk_tree_store_append(gtkblist->treemodel, iter, &groupiter);
-		return;
-	}
-}
-
 void
 pidgin_blist_update_sort_methods(void)
 {
diff --git a/pidgin/gtkconv.c b/pidgin/gtkconv.c
--- a/pidgin/gtkconv.c
+++ b/pidgin/gtkconv.c
@@ -149,22 +149,6 @@
 static void pidgin_conv_set_position_size(PidginConvWindow *win, int x, int y,
 		int width, int height);
 
-static PurpleBlistNode *
-get_conversation_blist_node(PurpleConversation *conv)
-{
-	PurpleAccount *account = purple_conversation_get_account(conv);
-	PurpleBlistNode *node = NULL;
-
-	if (PURPLE_IS_IM_CONVERSATION(conv)) {
-		node = PURPLE_BLIST_NODE(purple_blist_find_buddy(account, purple_conversation_get_name(conv)));
-		node = node ? node->parent : NULL;
-	} else if (PURPLE_IS_CHAT_CONVERSATION(conv)) {
-		node = PURPLE_BLIST_NODE(purple_blist_find_chat(account, purple_conversation_get_name(conv)));
-	}
-
-	return node;
-}
-
 /**************************************************************************
  * Callbacks
  **************************************************************************/
@@ -1425,7 +1409,6 @@
 	if (old_conv == conv)
 		return;
 
-	purple_conversation_close_logs(old_conv);
 	gtkconv->active_conv = conv;
 
 	purple_signal_emit(pidgin_conversations_get_handle(), "conversation-switched", conv);
@@ -2509,7 +2492,6 @@
 	PidginConversation *gtkconv;
 	GtkWidget *pane = NULL;
 	GtkWidget *tab_cont;
-	PurpleBlistNode *convnode;
 
 	if (PURPLE_IS_IM_CONVERSATION(conv) && (gtkconv = pidgin_conv_find_gtkconv(conv))) {
 		g_object_set_data(G_OBJECT(conv), "pidgin", gtkconv);
@@ -2558,12 +2540,6 @@
 	gtk_box_pack_start(GTK_BOX(tab_cont), pane, TRUE, TRUE, 0);
 	gtk_widget_show(pane);
 
-	convnode = get_conversation_blist_node(conv);
-	if (convnode != NULL && purple_blist_node_has_setting(convnode, "enable-logging")) {
-		gboolean logging = purple_blist_node_get_bool(convnode, "enable-logging");
-		purple_conversation_set_logging(conv, logging);
-	}
-
 	talkatu_editor_set_toolbar_visible(
 		TALKATU_EDITOR(gtkconv->editor),
 		purple_prefs_get_bool(PIDGIN_PREFS_ROOT "/conversations/show_formatting_toolbar")
diff --git a/pidgin/gtkutils.h b/pidgin/gtkutils.h
--- a/pidgin/gtkutils.h
+++ b/pidgin/gtkutils.h
@@ -46,10 +46,7 @@
 
 typedef struct {
 	gboolean is_buddy;
-	union {
-		PurpleBuddy *buddy;
-		PurpleLogSet *logged_buddy;
-	} entry;
+	PurpleBuddy *buddy;
 } PidginBuddyCompletionEntry;
 
 typedef gboolean (*PidginFilterBuddyCompletionEntryFunc) (const PidginBuddyCompletionEntry *completion_entry, gpointer user_data);
diff --git a/pidgin/gtkutils.c b/pidgin/gtkutils.c
--- a/pidgin/gtkutils.c
+++ b/pidgin/gtkutils.c
@@ -1137,32 +1137,12 @@
 	g_free(normalized_buddyname);
 }
 
-static void get_log_set_name(PurpleLogSet *set, gpointer value, PidginCompletionData *data)
-{
-	PidginFilterBuddyCompletionEntryFunc filter_func = data->filter_func;
-	gpointer user_data = data->filter_func_user_data;
-
-	/* 1. Don't show buddies because we will have gotten them already.
-	 * 2. The boxes that use this autocomplete code handle only IMs. */
-	if (!set->buddy && set->type == PURPLE_LOG_IM) {
-		PidginBuddyCompletionEntry entry;
-		entry.is_buddy = FALSE;
-		entry.entry.logged_buddy = set;
-
-		if (filter_func(&entry, user_data)) {
-			add_buddyname_autocomplete_entry(data->store,
-												NULL, NULL, set->account, set->name);
-		}
-	}
-}
-
 static void
 add_completion_list(PidginCompletionData *data)
 {
 	PurpleBlistNode *gnode, *cnode, *bnode;
 	PidginFilterBuddyCompletionEntryFunc filter_func = data->filter_func;
 	gpointer user_data = data->filter_func_user_data;
-	GHashTable *sets;
 	gchar *alias;
 
 	gtk_list_store_clear(data->store);
@@ -1183,14 +1163,14 @@
 			{
 				PidginBuddyCompletionEntry entry;
 				entry.is_buddy = TRUE;
-				entry.entry.buddy = (PurpleBuddy *) bnode;
+				entry.buddy = (PurpleBuddy *) bnode;
 
 				if (filter_func(&entry, user_data)) {
 					add_buddyname_autocomplete_entry(data->store,
 														alias,
-														purple_buddy_get_contact_alias(entry.entry.buddy),
-														purple_buddy_get_account(entry.entry.buddy),
-														purple_buddy_get_name(entry.entry.buddy)
+														purple_buddy_get_contact_alias(entry.buddy),
+														purple_buddy_get_account(entry.buddy),
+														purple_buddy_get_name(entry.buddy)
 													 );
 				}
 			}
@@ -1198,11 +1178,6 @@
 			g_free(alias);
 		}
 	}
-
-	sets = purple_log_get_log_sets();
-	g_hash_table_foreach(sets, (GHFunc)get_log_set_name, data);
-	g_hash_table_destroy(sets);
-
 }
 
 static void
@@ -1288,11 +1263,7 @@
 pidgin_screenname_autocomplete_default_filter(const PidginBuddyCompletionEntry *completion_entry, gpointer all_accounts) {
 	gboolean all = GPOINTER_TO_INT(all_accounts);
 
-	if (completion_entry->is_buddy) {
-		return all || purple_account_is_connected(purple_buddy_get_account(completion_entry->entry.buddy));
-	} else {
-		return all || (completion_entry->entry.logged_buddy->account != NULL && purple_account_is_connected(completion_entry->entry.logged_buddy->account));
-	}
+	return all || purple_account_is_connected(purple_buddy_get_account(completion_entry->buddy));
 }
 
 void pidgin_set_cursor(GtkWidget *widget, GdkCursorType cursor_type)
diff --git a/pidgin/prefs/pidginprefs.c b/pidgin/prefs/pidginprefs.c
--- a/pidgin/prefs/pidginprefs.c
+++ b/pidgin/prefs/pidginprefs.c
@@ -128,14 +128,6 @@
 		GtkWidget *custom_font;
 	} conversations;
 
-	/* Logging page */
-	struct {
-		PidginPrefCombo format;
-		GtkWidget *log_ims;
-		GtkWidget *log_chats;
-		GtkWidget *log_system;
-	} logging;
-
 	/* Network page */
 	struct {
 		GtkWidget *stun_server;
@@ -1701,25 +1693,6 @@
 }
 
 static void
-bind_logging_page(PidginPrefsWindow *win)
-{
-	GList *names;
-
-	win->logging.format.type = PURPLE_PREF_STRING;
-	win->logging.format.key = "/purple/logging/format";
-	names = purple_log_logger_get_options();
-	pidgin_prefs_bind_dropdown_from_list(&win->logging.format, names);
-	g_list_free(names);
-
-	pidgin_prefs_bind_checkbox("/purple/logging/log_ims",
-			win->logging.log_ims);
-	pidgin_prefs_bind_checkbox("/purple/logging/log_chats",
-			win->logging.log_chats);
-	pidgin_prefs_bind_checkbox("/purple/logging/log_system",
-			win->logging.log_system);
-}
-
-static void
 set_idle_away(PurpleSavedStatus *status)
 {
 	purple_prefs_set_int("/purple/savedstatus/idleaway", purple_savedstatus_get_creation_time(status));
@@ -2293,7 +2266,6 @@
 
 	bind_interface_page(win);
 	bind_conv_page(win);
-	bind_logging_page(win);
 	bind_network_page(win);
 	bind_proxy_page(win);
 	bind_away_page(win);
@@ -2384,16 +2356,6 @@
 	gtk_widget_class_bind_template_callback(widget_class,
 			pidgin_custom_font_set);
 
-	/* Logging page */
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginPrefsWindow, logging.format.combo);
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginPrefsWindow, logging.log_ims);
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginPrefsWindow, logging.log_chats);
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginPrefsWindow, logging.log_system);
-
 	/* Network page */
 	gtk_widget_class_bind_template_child(
 			widget_class, PidginPrefsWindow, network.stun_server);
@@ -2570,9 +2532,6 @@
 	const gchar *video_sink = NULL;
 
 	/* Rename some old prefs */
-	purple_prefs_rename(PIDGIN_PREFS_ROOT "/logging/log_ims", "/purple/logging/log_ims");
-	purple_prefs_rename(PIDGIN_PREFS_ROOT "/logging/log_chats", "/purple/logging/log_chats");
-
 	purple_prefs_rename(PIDGIN_PREFS_ROOT "/conversations/im/raise_on_events", "/plugins/gtk/X11/notify/method_raise");
 
 	purple_prefs_rename_boolean_toggle(PIDGIN_PREFS_ROOT "/conversations/ignore_colors",
@@ -2615,7 +2574,6 @@
 	purple_prefs_remove(PIDGIN_PREFS_ROOT "/conversations/passthrough_unknown_commands");
 	purple_prefs_remove(PIDGIN_PREFS_ROOT "/debug/timestamps");
 	purple_prefs_remove(PIDGIN_PREFS_ROOT "/idle");
-	purple_prefs_remove(PIDGIN_PREFS_ROOT "/logging/individual_logs");
 	purple_prefs_remove(PIDGIN_PREFS_ROOT "/sound/signon");
 	purple_prefs_remove(PIDGIN_PREFS_ROOT "/sound/silent_signon");
 	purple_prefs_remove(PIDGIN_PREFS_ROOT "/sound/command");
diff --git a/pidgin/resources/Prefs/prefs.ui b/pidgin/resources/Prefs/prefs.ui
--- a/pidgin/resources/Prefs/prefs.ui
+++ b/pidgin/resources/Prefs/prefs.ui
@@ -199,14 +199,6 @@
       </row>
     </data>
   </object>
-  <object class="GtkListStore" id="logging.format.store">
-    <columns>
-      <!-- column-name text -->
-      <column type="gchararray"/>
-      <!-- column-name value -->
-      <column type="gchararray"/>
-    </columns>
-  </object>
   <object class="GtkAdjustment" id="network.ports_range_end.adjustment">
     <property name="upper">65535</property>
     <property name="step-increment">1</property>
@@ -889,147 +881,6 @@
                   </packing>
                 </child>
                 <child>
-                  <object class="GtkBox" id="logging.page">
-                    <property name="visible">True</property>
-                    <property name="can-focus">False</property>
-                    <property name="border-width">12</property>
-                    <property name="orientation">vertical</property>
-                    <property name="spacing">18</property>
-                    <child>
-                      <object class="GtkFrame">
-                        <property name="visible">True</property>
-                        <property name="can-focus">False</property>
-                        <property name="label-xalign">0</property>
-                        <property name="shadow-type">none</property>
-                        <child>
-                          <object class="GtkAlignment">
-                            <property name="visible">True</property>
-                            <property name="can-focus">False</property>
-                            <property name="left-padding">12</property>
-                            <child>
-                              <object class="GtkBox">
-                                <property name="visible">True</property>
-                                <property name="can-focus">False</property>
-                                <property name="orientation">vertical</property>
-                                <property name="spacing">6</property>
-                                <child>
-                                  <object class="GtkBox">
-                                    <property name="visible">True</property>
-                                    <property name="can-focus">False</property>
-                                    <property name="spacing">6</property>
-                                    <child>
-                                      <object class="GtkLabel">
-                                        <property name="visible">True</property>
-                                        <property name="can-focus">False</property>
-                                        <property name="label" translatable="yes">Log _format:</property>
-                                        <property name="use-underline">True</property>
-                                        <property name="mnemonic-widget">logging.format.combo</property>
-                                      </object>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="fill">True</property>
-                                        <property name="position">0</property>
-                                      </packing>
-                                    </child>
-                                    <child>
-                                      <object class="GtkComboBox" id="logging.format.combo">
-                                        <property name="visible">True</property>
-                                        <property name="can-focus">False</property>
-                                        <property name="model">logging.format.store</property>
-                                        <child>
-                                          <object class="GtkCellRendererText"/>
-                                          <attributes>
-                                            <attribute name="text">0</attribute>
-                                          </attributes>
-                                        </child>
-                                      </object>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="fill">True</property>
-                                        <property name="position">1</property>
-                                      </packing>
-                                    </child>
-                                  </object>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="fill">True</property>
-                                    <property name="position">0</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <object class="GtkCheckButton" id="logging.log_ims">
-                                    <property name="label" translatable="yes">Log all _instant messages</property>
-                                    <property name="visible">True</property>
-                                    <property name="can-focus">True</property>
-                                    <property name="receives-default">False</property>
-                                    <property name="use-underline">True</property>
-                                    <property name="draw-indicator">True</property>
-                                  </object>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="fill">True</property>
-                                    <property name="position">1</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <object class="GtkCheckButton" id="logging.log_chats">
-                                    <property name="label" translatable="yes">Log all c_hats</property>
-                                    <property name="visible">True</property>
-                                    <property name="can-focus">True</property>
-                                    <property name="receives-default">False</property>
-                                    <property name="use-underline">True</property>
-                                    <property name="draw-indicator">True</property>
-                                  </object>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="fill">True</property>
-                                    <property name="position">2</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <object class="GtkCheckButton" id="logging.log_system">
-                                    <property name="label" translatable="yes">Log all _status changes to system log</property>
-                                    <property name="visible">True</property>
-                                    <property name="can-focus">True</property>
-                                    <property name="receives-default">False</property>
-                                    <property name="use-underline">True</property>
-                                    <property name="draw-indicator">True</property>
-                                  </object>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="fill">True</property>
-                                    <property name="position">3</property>
-                                  </packing>
-                                </child>
-                              </object>
-                            </child>
-                          </object>
-                        </child>
-                        <child type="label">
-                          <object class="GtkLabel">
-                            <property name="visible">True</property>
-                            <property name="can-focus">False</property>
-                            <property name="label" translatable="yes">Logging</property>
-                            <attributes>
-                              <attribute name="weight" value="bold"/>
-                            </attributes>
-                          </object>
-                        </child>
-                      </object>
-                      <packing>
-                        <property name="expand">False</property>
-                        <property name="fill">True</property>
-                        <property name="position">0</property>
-                      </packing>
-                    </child>
-                  </object>
-                  <packing>
-                    <property name="name">logging</property>
-                    <property name="title" translatable="yes">Logging</property>
-                    <property name="position">2</property>
-                  </packing>
-                </child>
-                <child>
                   <object class="GtkBox" id="network.page">
                     <property name="visible">True</property>
                     <property name="can-focus">False</property>
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -44,7 +44,6 @@
 libpurple/idle.c
 libpurple/image.c
 libpurple/image-store.c
-libpurple/log.c
 libpurple/media/backend-fs2.c
 libpurple/media/backend-iface.c
 libpurple/media.c
